<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">SDL.GPU.Simple.Logging</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Word</span></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.Ptr</span></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.C.String</span></span><span>
</span><span id="line-6"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Control.Monad.IO.Class</span></span><span>
</span><span id="line-7"></span><span>
</span><span id="line-8"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="SDL.GPU.C.html"><span class="hs-identifier">SDL.GPU.C</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-9"></span><span>
</span><span id="line-10"></span><span class="annot"><a href="SDL.GPU.Simple.Logging.html#setDebugLevel"><span class="hs-identifier hs-type">setDebugLevel</span></a></span><span>
</span><span id="line-11"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="hs-keyword">forall</span><span> </span><span id="local-6989586621679190509"><span class="annot"><a href="#local-6989586621679190509"><span class="hs-identifier hs-type">m</span></a></span></span><span>
</span><span id="line-12"></span><span>   </span><span class="hs-operator">.</span><span> </span><span class="annot"><span class="hs-identifier hs-type">MonadIO</span></span><span> </span><span class="annot"><a href="#local-6989586621679190509"><span class="hs-identifier hs-type">m</span></a></span><span>
</span><span id="line-13"></span><span>  </span><span class="hs-glyph">=&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#DebugLevelEnum"><span class="hs-identifier hs-type">GPU.DebugLevelEnum</span></a></span><span>
</span><span id="line-14"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="#local-6989586621679190509"><span class="hs-identifier hs-type">m</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-15"></span><span id="setDebugLevel"><span class="annot"><span class="annottext">setDebugLevel :: forall (m :: * -&gt; *). MonadIO m =&gt; DebugLevelEnum -&gt; m ()
</span><a href="SDL.GPU.Simple.Logging.html#setDebugLevel"><span class="hs-identifier hs-var hs-var">setDebugLevel</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">forall (m :: * -&gt; *) a. MonadIO m =&gt; IO a -&gt; m a
</span><span class="hs-identifier hs-var">liftIO</span></span><span> </span><span class="annot"><span class="annottext">forall b c a. (b -&gt; c) -&gt; (a -&gt; b) -&gt; a -&gt; c
</span><span class="hs-operator hs-var">.</span></span><span> </span><span class="annot"><span class="annottext">DebugLevelEnum -&gt; IO ()
</span><a href="SDL.GPU.C.Logging.html#setDebugLevel"><span class="hs-identifier hs-var">GPU.setDebugLevel</span></a></span><span>
</span><span id="line-16"></span><span>
</span><span id="line-17"></span><span class="annot"><a href="SDL.GPU.Simple.Logging.html#getDebugLevel"><span class="hs-identifier hs-type">getDebugLevel</span></a></span><span>
</span><span id="line-18"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="hs-keyword">forall</span><span> </span><span id="local-6989586621679190500"><span class="annot"><a href="#local-6989586621679190500"><span class="hs-identifier hs-type">m</span></a></span></span><span>
</span><span id="line-19"></span><span>   </span><span class="hs-operator">.</span><span> </span><span class="annot"><span class="hs-identifier hs-type">MonadIO</span></span><span> </span><span class="annot"><a href="#local-6989586621679190500"><span class="hs-identifier hs-type">m</span></a></span><span>
</span><span id="line-20"></span><span>  </span><span class="hs-glyph">=&gt;</span><span> </span><span class="annot"><a href="#local-6989586621679190500"><span class="hs-identifier hs-type">m</span></a></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#DebugLevelEnum"><span class="hs-identifier hs-type">GPU.DebugLevelEnum</span></a></span><span>
</span><span id="line-21"></span><span id="getDebugLevel"><span class="annot"><span class="annottext">getDebugLevel :: forall (m :: * -&gt; *). MonadIO m =&gt; m DebugLevelEnum
</span><a href="SDL.GPU.Simple.Logging.html#getDebugLevel"><span class="hs-identifier hs-var hs-var">getDebugLevel</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">forall (m :: * -&gt; *) a. MonadIO m =&gt; IO a -&gt; m a
</span><span class="hs-identifier hs-var">liftIO</span></span><span> </span><span class="annot"><span class="annottext">IO DebugLevelEnum
</span><a href="SDL.GPU.C.Logging.html#getDebugLevel"><span class="hs-identifier hs-var">GPU.getDebugLevel</span></a></span><span>
</span><span id="line-22"></span><span>
</span><span id="line-23"></span><span class="hs-comment">-- NOTE - NOT BOUND: varargs GPU_Log* functions</span><span>
</span><span id="line-24"></span><span class="hs-comment">-- NOTE - NOT BOUND: varargs GPU_SetLogCallback</span><span>
</span><span id="line-25"></span><span class="hs-comment">-- NOTE - NOT BOUND: varargs GPU_PushErrorCode</span><span>
</span><span id="line-26"></span><span>
</span><span id="line-27"></span><span class="annot"><a href="SDL.GPU.Simple.Logging.html#popErrorCode"><span class="hs-identifier hs-type">popErrorCode</span></a></span><span>
</span><span id="line-28"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="hs-keyword">forall</span><span> </span><span id="local-6989586621679190498"><span class="annot"><a href="#local-6989586621679190498"><span class="hs-identifier hs-type">m</span></a></span></span><span>
</span><span id="line-29"></span><span>   </span><span class="hs-operator">.</span><span> </span><span class="annot"><span class="hs-identifier hs-type">MonadIO</span></span><span> </span><span class="annot"><a href="#local-6989586621679190498"><span class="hs-identifier hs-type">m</span></a></span><span>
</span><span id="line-30"></span><span>  </span><span class="hs-glyph">=&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#ErrorObject"><span class="hs-identifier hs-type">GPU.ErrorObject</span></a></span><span>
</span><span id="line-31"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="#local-6989586621679190498"><span class="hs-identifier hs-type">m</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-32"></span><span id="popErrorCode"><span class="annot"><span class="annottext">popErrorCode :: forall (m :: * -&gt; *). MonadIO m =&gt; Ptr ErrorObject -&gt; m ()
</span><a href="SDL.GPU.Simple.Logging.html#popErrorCode"><span class="hs-identifier hs-var hs-var">popErrorCode</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">forall (m :: * -&gt; *) a. MonadIO m =&gt; IO a -&gt; m a
</span><span class="hs-identifier hs-var">liftIO</span></span><span> </span><span class="annot"><span class="annottext">forall b c a. (b -&gt; c) -&gt; (a -&gt; b) -&gt; a -&gt; c
</span><span class="hs-operator hs-var">.</span></span><span> </span><span class="annot"><span class="annottext">Ptr ErrorObject -&gt; IO ()
</span><a href="SDL.GPU.C.Logging.html#popErrorCode"><span class="hs-identifier hs-var">GPU.popErrorCode</span></a></span><span>
</span><span id="line-33"></span><span>
</span><span id="line-34"></span><span class="annot"><a href="SDL.GPU.Simple.Logging.html#getErrorString"><span class="hs-identifier hs-type">getErrorString</span></a></span><span>
</span><span id="line-35"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="hs-keyword">forall</span><span> </span><span id="local-6989586621679190495"><span class="annot"><a href="#local-6989586621679190495"><span class="hs-identifier hs-type">m</span></a></span></span><span>
</span><span id="line-36"></span><span>   </span><span class="hs-operator">.</span><span> </span><span class="annot"><span class="hs-identifier hs-type">MonadIO</span></span><span> </span><span class="annot"><a href="#local-6989586621679190495"><span class="hs-identifier hs-type">m</span></a></span><span>
</span><span id="line-37"></span><span>  </span><span class="hs-glyph">=&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#ErrorEnum"><span class="hs-identifier hs-type">GPU.ErrorEnum</span></a></span><span>
</span><span id="line-38"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="#local-6989586621679190495"><span class="hs-identifier hs-type">m</span></a></span><span> </span><span class="annot"><span class="hs-identifier hs-type">CString</span></span><span>
</span><span id="line-39"></span><span id="getErrorString"><span class="annot"><span class="annottext">getErrorString :: forall (m :: * -&gt; *). MonadIO m =&gt; ErrorEnum -&gt; m CString
</span><a href="SDL.GPU.Simple.Logging.html#getErrorString"><span class="hs-identifier hs-var hs-var">getErrorString</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">forall (m :: * -&gt; *) a. MonadIO m =&gt; IO a -&gt; m a
</span><span class="hs-identifier hs-var">liftIO</span></span><span> </span><span class="annot"><span class="annottext">forall b c a. (b -&gt; c) -&gt; (a -&gt; b) -&gt; a -&gt; c
</span><span class="hs-operator hs-var">.</span></span><span> </span><span class="annot"><span class="annottext">ErrorEnum -&gt; IO CString
</span><a href="SDL.GPU.C.Logging.html#getErrorString"><span class="hs-identifier hs-var">GPU.getErrorString</span></a></span><span>
</span><span id="line-40"></span><span>
</span><span id="line-41"></span><span class="annot"><a href="SDL.GPU.Simple.Logging.html#setErrorQueueMax"><span class="hs-identifier hs-type">setErrorQueueMax</span></a></span><span>
</span><span id="line-42"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="hs-keyword">forall</span><span> </span><span id="local-6989586621679190491"><span class="annot"><a href="#local-6989586621679190491"><span class="hs-identifier hs-type">m</span></a></span></span><span>
</span><span id="line-43"></span><span>   </span><span class="hs-operator">.</span><span> </span><span class="annot"><span class="hs-identifier hs-type">MonadIO</span></span><span> </span><span class="annot"><a href="#local-6989586621679190491"><span class="hs-identifier hs-type">m</span></a></span><span>
</span><span id="line-44"></span><span>  </span><span class="hs-glyph">=&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#UnsignedInt"><span class="hs-identifier hs-type">GPU.UnsignedInt</span></a></span><span>
</span><span id="line-45"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="#local-6989586621679190491"><span class="hs-identifier hs-type">m</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-46"></span><span id="setErrorQueueMax"><span class="annot"><span class="annottext">setErrorQueueMax :: forall (m :: * -&gt; *). MonadIO m =&gt; UnsignedInt -&gt; m ()
</span><a href="SDL.GPU.Simple.Logging.html#setErrorQueueMax"><span class="hs-identifier hs-var hs-var">setErrorQueueMax</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">forall (m :: * -&gt; *) a. MonadIO m =&gt; IO a -&gt; m a
</span><span class="hs-identifier hs-var">liftIO</span></span><span> </span><span class="annot"><span class="annottext">forall b c a. (b -&gt; c) -&gt; (a -&gt; b) -&gt; a -&gt; c
</span><span class="hs-operator hs-var">.</span></span><span> </span><span class="annot"><span class="annottext">UnsignedInt -&gt; IO ()
</span><a href="SDL.GPU.C.Logging.html#setErrorQueueMax"><span class="hs-identifier hs-var">GPU.setErrorQueueMax</span></a></span><span>
</span><span id="line-47"></span></pre></body></html>